#include<iostream>
#include<algorithm>
#include<cmath>
#include<cstdio>

using namespace std;

struct slog
{
    double suma, procenat;
};
slog niz[200015];

bool cmp(slog a, slog b)
{
    if(a.procenat == b.procenat)
        return a.suma>b.suma;
    else
        return a.procenat<b.procenat;
}

int n;
long long u;
long long rez;
double proc;


int main()
{
    cin>>n;
    for(int i=1;i<=n;i++)
    {
        cin>>niz[i].suma>>niz[i].procenat;
        u+=niz[i].suma;
    }
    sort(niz+1,niz+n+1,cmp);
    for(int i=1;i<=n;i++)
    {
        //cout<<u<<" "<<rez<<" "<<proc<<endl;
        if(rez * proc < u * niz[i].procenat)
        {
            rez = u;
            proc = niz[i].procenat;
        }
        u-=niz[i].suma;
    }
//    for(int i=1;i<=n;i++)
//    {
//        cout<<niz[i].suma<<" "<<niz[i].procenat<<endl;
//    }
    printf("%.4f\n",((rez*proc)/100.0));
    return 0;
}